/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jbpm.taskmgmt.exe;

import org.jbpm.db.AbstractDbTestCase;
import org.jbpm.graph.def.ProcessDefinition;
import org.jbpm.graph.exe.ProcessInstance;

public class TaskParametersDbTest extends AbstractDbTestCase {

  public void testParameters() {
    ProcessDefinition processDefinition = ProcessDefinition.createNewProcessDefinition();
    session.save(processDefinition);
    
    ProcessInstance processInstance = new ProcessInstance(processDefinition);
    TaskInstance taskInstance = processInstance.getTaskMgmtInstance().createTaskInstance(processInstance.getRootToken());
    taskInstance.setVariable("key", "value");

    taskInstance = saveAndReload(taskInstance);
    
    assertNotNull(taskInstance);
    assertEquals("value", taskInstance.getVariable("key"));
  }
}
